Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
lp_hai

cần giúp lisp vẽ pline

Các bài được khuyến nghị

lp_hai    207

các bác giúp em cái lisp vẽ pline, xong rồi mình có thể chọn nó để hatch. tại vì cái đường bao hacth là pline ko có giới hạn số đỉnh. do đó ko thể viết theo kiểu (setq pt1... pt2...) dc các bác ah!

nhờ giúp giùm em! thanks

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duy782006    1.375
các bác giúp em cái lisp vẽ pline, xong rồi mình có thể chọn nó để hatch. tại vì cái đường bao hacth là pline ko có giới hạn số đỉnh. do đó ko thể viết theo kiểu (setq pt1... pt2...) dc các bác ah!

nhờ giúp giùm em! thanks

Đây là đoạn vẽ pl bạn tham khảo. Còn đoạn hatch chắc bạn tiếp được. (pline khi vẽ ko cần khép kín. bạn enter kết thúc lệnh thì nó tự khép kín lại.

 

(DEFUN C:ndiem ( )

(command "-style" "thep" "VNI-HELVE" "0" "1" "0" "n" "n")

(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")

 

(setq a (getpoint "\nChon diem dau tien: "))

(setq b (getpoint a"\nChon diem tiep theo: "))

 

(command "pline" a b "")

(setq plhoinay (entlast))

(setq diemdong a)

(setq a b)

 

(while (setq b (getpoint a"\nChon diem tiep theo : "))

(command "pline" a b "")

(command "pedit" "m" "L" plhoinay "" "j" "0" "")

(setq plhoinay (entlast))

(setq a b)

 

)

(command "pedit" plhoinay "c" "")

(princ)

)

 

À bạn thêm phẩn lưu và trả osmode nhé

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
lp_hai    207
Đây là đoạn vẽ pl bạn tham khảo. Còn đoạn hatch chắc bạn tiếp được. (pline khi vẽ ko cần khép kín. bạn enter kết thúc lệnh thì nó tự khép kín lại.

 

(DEFUN C:ndiem ( )

(command "-style" "thep" "VNI-HELVE" "0" "1" "0" "n" "n")

(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")

 

(setq a (getpoint "\nChon diem dau tien: "))

(setq b (getpoint a"\nChon diem tiep theo: "))

 

(command "pline" a b "")

(setq plhoinay (entlast))

(setq diemdong a)

(setq a :(

 

(while (setq b (getpoint a"\nChon diem tiep theo : "))

(command "pline" a b "")

(command "pedit" "m" "L" plhoinay "" "j" "0" "")

(setq plhoinay (entlast))

(setq a :undecided:

 

)

(command "pedit" plhoinay "c" "")

(princ)

)

 

À bạn thêm phẩn lưu và trả osmode nhé

thanks A Duy nha

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×